<!doctype html>
<html lang="en">
    <head>
        <title>Bài Tập JS</title>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport"
            content="width=device-width, initial-scale=1, shrink-to-fit=no">

        <!-- Bootstrap CSS -->
        <link rel="stylesheet"
            href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
            integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
            crossorigin="anonymous">

        <!-- font aw -->
        <link rel="stylesheet"
            href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/css/all.min.css"
            integrity="sha512-iecdLmaskl7CVkqkXNQ/ZH/XLlvWZOJyj7Yy7tcenmpD1ypASozpmT/E0iPtmFIB46ZmdtAc9eNBvH0H/ZpiBw=="
            crossorigin="anonymous" referrerpolicy="no-referrer" />
        <link rel="stylesheet" href="index.css">
    </head>
    <body>

        <div class="container">
            <nav>
                <div class="nav nav-tabs" id="nav-tab" role="tablist">
                    <button class="nav-link active" id="nav-home-tab"
                        data-toggle="tab" data-target="#nav-bai-tap-1"
                        type="button"
                        role="tab" aria-controls="nav-bai-tap-1"
                        aria-selected="true">Bài tập 1</button>
                    <button class="nav-link" id="nav-profile-tab"
                        data-toggle="tab" data-target="#bai-tap-2"
                        type="button" role="tab" aria-controls="bai-tap-2"
                        aria-selected="false">Bài tập 2</button>
                    <button class="nav-link" id="nav-contact-tab"
                        data-toggle="tab" data-target="#bai-tap-3"
                        type="button" role="tab" aria-controls="bai-tap-3"
                        aria-selected="false">Bài Tập 3</button>
                    <button class="nav-link" id="nav-contact-tab"
                        data-toggle="tab" data-target="#bai-tap-4"
                        type="button" role="tab" aria-controls="bai-tap-4"
                        aria-selected="false">Bài Tập 4</button>
               
                </div>
            </nav>
            <div class="tab-content" id="nav-tabContent">
                <div class="tab-pane fade show active" id="nav-bai-tap-1"
                    role="tabpanel" aria-labelledby="nav-home-tab">

                    <div class>
                        <div class="title">
                            <i class="fa-solid fa-money-check-dollar"></i>
                            <h3 style="display: inline;">Sắp xếp tăng dần</h3>
                        </div>

                        <div class="phan-tich-de">
                            <div class="line">

                            </div>
                            <div class="content">
                                <p>Nhập vào 3 chữ số</p>
                                <p>Sắp ếp theo thứ tự tăng dần</p>
                                <p>Kiến thức áp dụng:</p>
                                <ul>
                                    <li>Tìm tới thẻ input và lấy giá
                                        trị thẻ</li>
                                    <li>Tạo biến tạm so sánh từng cặp số số và
                                        lưu vào biến tạm</li>

                                    <li>Thay đổi nội dung thẻ kết quả</li>

                                </ul>
                            </div>
                        </div>
                        <div class="input-value">

                            <div class="form-row align-items-center">
                                <div class="col-4">
                                    <label class="sr-only" for="inlineFormInput">Số
                                        thứ 1</label>
                                    <input type="text" class="form-control mb-2"
                                        id="soThu1"
                                        placeholder="soThu1">
                                </div>

                                <div class="col-4">
                                    <label class="sr-only" for="inlineFormInput">Số
                                        thứ 2</label>
                                    <input type="text" class="form-control mb-2"
                                        id="soThu2"
                                        placeholder="soThu2">
                                </div>

                                <div class="col-4">
                                    <label class="sr-only" for="inlineFormInput">Số
                                        thứ 3</label>
                                    <input type="text" class="form-control mb-2"
                                        id="soThu3"
                                        placeholder="soThu3">
                                </div>

                                <div class="col-auto">
                                    <button onclick="sosanh()"
                                        class="btn btn-submit mb-2">So sánh và
                                        sắp xếp</button>
                                </div>
                            </div>

                            <div class="ket-qua text-center" id>
                                <small id="result" class="form-text text-muted"></small>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="tab-pane fade" id="bai-tap-2" role="tabpanel"
                    aria-labelledby="nav-profile-tab">
                    <div class>
                        <div class="title">
                            <i class="fa-solid fa-money-check-dollar"></i>
                            <h3 style="display: inline;">Chương trình chào hỏi</h3>
                        </div>

                        <div class="phan-tich-de">
                            <div class="line">

                            </div>
                            <div class="content">
                                <p>Cho người dùng nhập vào Bố, Mẹ, anh Trai, em
                                    Gái</p>
                                <p>Xuất ra câu chào</p>
                                <p>Kiến thức áp dụng:</p>
                                <ul>
                                    <li>Tìm tới ô input và lấy giá trị thẻ</li>
                                    <li>So sánh chuỗi để xuất ra câu chào</li>

                                    <li>Thay đổi nội dung thẻ kết quả</li>
                                </ul>
                            </div>
                        </div>
                        <div class="input-value">
                            <div class="form-row align-items-center">
                                <div class="col-3">

                                    <h3>Xin chào cho hỏi ai đang sử dụng máy ?
                                    </h3>
                                    <p style="color: red;">Nhập vào B là Bố, M là Mẹ, A là anh
                                        trai, E là em gái</p>
                                </div>

                                <div class="col-9">

                                    <input type="text"
                                        class="form-control mb-2" id="user"
                                        placeholder="Nhập vào ai đang sử dụng máy ">
                                </div>

                                <div class="col-auto">
                                    <button onclick="xuatCauChao()"
                                        class="btn btn-submit mb-2">Xuất ra câu
                                        chào</button>
                                </div>
                            </div>

                            <div class="ket-qua text-center" id="resutlbai2">
                                <small id="resultbai2"
                                    class="form-text text-muted"></small>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="tab-pane fade" id="bai-tap-3" role="tabpanel"
                    aria-labelledby="nav-contact-tab">
                    <div class>
                        <div class="title">
                            <i class="fa-solid fa-money-check-dollar"></i>
                            <h3 style="display: inline;">Tìm số chẵn số lẻ</h3>
                        </div>

                        <div class="phan-tich-de">
                            <div class="line">

                            </div>
                            <div class="content">
                                <p>Cho người dùng nhập vào 3 số</p>
                                <p>Lấy các số nhập vào chia cho 2 nếu phần dư =0 là số chẵn còn khác 0 là số lẻ</p>
                                <p>Kiến thức áp dụng:</p>
                                <ul>
                                    <li>Nhập vào 3 số nguyên</li>
                                    <li>Lấy thẻ và giá trị của thẻ input</li>
                                    <li>Lấy giá trị của từng số chia cho 2 nếu phần dư =0 là số chẵn còn khác 0 là số lẻ</li>
                                    <li>Thay đổi nội dung thẻ kết quả</li>
                                </ul>
                            </div>
                        </div>
                        <div class="input-value">
                            <div class="form-row align-items-center">
                                <div class="col-auto">
                                    <label class="sr-only" for="inlineFormInput">Nguyên thứ 1</label>
                                    <input type="number"
                                        class="form-control mb-2"
                                        id="soNguyen1"
                                        placeholder="Nhập số thứ 1">
                                </div>

                                <div class="col-auto">
                                    <label class="sr-only" for="inlineFormInput">Nguyên thứ 2</label>
                                    <input type="number"
                                        class="form-control mb-2"
                                        id="soNguyen2"
                                        placeholder="Nhập số thứ 2">
                                </div>

                                 <div class="col-auto">
                                    <label class="sr-only" for="inlineFormInput">Nguyên thứ 3</label>
                                    <input type="number"
                                        class="form-control mb-2"
                                        id="soNguyen3"
                                        placeholder="Nhập số thứ 3">
                                </div>

                                <div class="col-auto">
                                    <button onclick="timSoChanLe()"
                                        class="btn btn-submit mb-2">Tìm số chẵn lẻ</button>
                                </div>
                            </div>

                            <div class="ket-qua text-center" id>
                                <small id="resultbai3"
                                    class="form-text text-muted"></small>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="tab-pane fade" id="bai-tap-4" role="tabpanel"
                    aria-labelledby="nav-contact-tab">
                    <div class>
                        <div class="title">
                            <i class="fa-solid fa-money-check-dollar"></i>
                            <h3 style="display: inline;">Cho biết là loại tam giác gì</h3>
                        </div>

                        <div class="phan-tich-de">
                            <div class="line">

                            </div>
                            <div class="content">
                                <p>Cho người dùng nhập vào 3 cạnh của tam giác</p>
                                <p>Xét chiều dài của 3 cạnh nếu bằng nhau là tam giác đều, bình phương cạnh lớn nhất bằng tổng bình phương 2 cạnh là tam vuông, 2 cạnh bằng nhau là tam giác cân, còn lại là tam thường
                                </p>
                                <p>Kiến thức áp dụng:</p>
                                <ul>
                                    <li>Nhập vào chiều dài 3 cạnh của tam giác </li>
                                    <li>Lấy thẻ và giá trị của thẻ input</li>
                                    <li>Ép kiểu </li>
                                    <li>Sử dụng đinh lý Pytago là tam giác vuông so sánh các cạnh xem là tam gíac cân, đều hay tam giác thường</li>
                                    <li>Thay đổi nội dung thẻ kết quả</li>
                                </ul>
                            </div>
                        </div>
                        <div class="input-value">
                            <div class="form-row align-items-center">
                                <div class="col-auto">
                                    <label class="sr-only" for="inlineFormInput">Chiều
                                        dài cạnh thứ 1</label>
                                    <input type="number"
                                        class="form-control mb-2"
                                        id="chieuDaiCanh1"
                                        placeholder="Nhập chiều dài cạnh 1">
                                </div>

                                <div class="col-auto">
                                    <label class="sr-only" for="inlineFormInput">Chiều
                                        dài cạnh thứ 2</label>
                                    <input type="number"
                                        class="form-control mb-2"
                                        id="chieuDaiCanh2"
                                        placeholder="Nhập chiều dài cạnh 2">
                                </div>

                                <div class="col-auto">
                                    <label class="sr-only" for="inlineFormInput">Chiều
                                        dài cạnh thứ 3</label>
                                    <input type="number"
                                        class="form-control mb-2"
                                        id="chieuDaiCanh3"
                                        placeholder="Nhập chiều dài cạnh 3">
                                </div>

                                <div class="col-auto">
                                    <button onclick="phanLoaiTamGiac()"
                                        class="btn btn-submit mb-2">Phân Loại </button>
                                </div>
                            </div>

                            <div class="ket-qua text-center" id>
                                <small id="resultbai4"
                                    class="form-text text-muted"></small>
                            </div>
                        </div>
                    </div>
                </div>
              
            </div>
        </div>

        <!-- Optional JavaScript -->
        <!-- jQuery first, then Popper.js, then Bootstrap JS -->
        <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
            integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
            crossorigin="anonymous"></script>
        <script
            src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
            integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
            crossorigin="anonymous"></script>
        <script
            src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
            integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
            crossorigin="anonymous"></script>
        <script src="index.js"></script>
    </body>
</html>